---
lang: en
title: 'API docs: rest.textbodyparser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.textbodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TextBodyParser](./rest.textbodyparser.md)

## TextBodyParser class

<b>Signature:</b>

```typescript
export declare class TextBodyParser implements BodyParser 
```
<b>Implements:</b> [BodyParser](./rest.bodyparser.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./rest.textbodyparser._constructor_.md) |  | Constructs a new instance of the <code>TextBodyParser</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./rest.textbodyparser.name.md) |  | symbol |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [parse(request)](./rest.textbodyparser.parse.md) |  |  |
|  [supports(mediaType)](./rest.textbodyparser.supports.md) |  |  |


